# Contacting the Kivy Team

Are you having trouble using the Kivy framework, or any of its related 
projects? Is there an error you don't understand? Are you trying to figure out 
how to use it? We have volunteers who can help!

Before you start, please read our [FAQ](FAQ.md): It is the fastest way to solve
 the most common problems.

The [Kivy Discord Server](https://chat.kivy.org) allows you to chat with people
 in real-time and share code snippets. There are several channels marked for 
support (if you aren't sure which to use, try #support1).

Please **hang around** in Discord for an answer. We are mostly based in Europe,
 so take into account any timezone issues. If you leave before a response, we 
can't get back to you.

[Kivy's GitHub Discussions](https://github.com/orgs/kivy/discussions) is 
another forum where support questions are welcome, and our volunteers are 
listening. If it takes more time to consider an answer, you will be notified 
when you get a response.

You might like to check our issue trackers out on GitHub. There is the main 
[Kivy issue tracker](https://github.com/kivy/kivy/issues), and one for each Kivy subproject. Feel free to check 
if others have had the same problem as you, but please don't submit a bug report
until it is confirmed as very likely to be a bug in Kivy. (New feature requests
are welcome.) Please ask us for help at one of the above forums about what
to check and what information to include before submitting an issue.

There are also independent communities on 
[StackOverflow](https://stackoverflow.com/questions/tagged/kivy) and 
[Reddit](https://www.reddit.com/r/kivy/) that accept Kivy-related support
requests.

## Other Ways to Contact Us

The Kivy team is built of volunteer developers like you, and we always need 
more help.

If you want to give back to the community, please see our [Contribution 
Guide](CONTRIBUTING.md) for plenty of ideas about you can help out with your 
time, no matter your level of expertise.

If you would like to help with your wallet or purse instead, we gratefully 
accept [backers and sponsors and donations](https://opencollective.com/kivy). Come and talk to us on [Kivy Discord Server](https://chat.kivy.org) if you have
questions.